global function HoldForScoreboard_Init

void function HoldForScoreboard_Init()
{
    AddCallback_OnClientScriptInit( RemoveTabKeyBinding )
    RegisterButtonPressedCallback( KEY_TAB, ShowScoreboardPressed )
    RegisterButtonReleasedCallback( KEY_TAB, ShowScoreboardReleased )
}

void function RemoveTabKeyBinding( entity player )
{
    // In case the TAB key is bound to something else (like toggle scoreboard)
    // This produces warnings int the console when TAB is pressed
    player.ClientCommand("bind tab \"\"")
}

void function ShowScoreboardPressed( entity player )
{
    if( IsSingleplayer() )
    {
        player.ClientCommand("ToggleObjective")
        return
    }
    if( GetGameState() == eGameState.Postmatch )
    {
        return
    }
    if( clGlobal.lockScoreboard )
    {
        return
    }
    thread ShowScoreboard()
}

void function ShowScoreboardReleased( entity player )
{
    if( IsSingleplayer() )
    {
        // Single player sometimes toggles objectives automatically,
        // so it is not a good idea to toggle on key press and release.
        // player.ClientCommand("ToggleObjective")
        return
    }
    if( GetGameState() == eGameState.Postmatch )
    {
        return
    }
    if( clGlobal.lockScoreboard )
    {
        return
    }
    thread HideScoreboard()
}
